# DeepLinkUri

Artifact: [androidx.navigation3:navigation3-runtime](https://developer.android.com/jetpack/androidx/releases/navigation3) [View Source](https://cs.android.com/search?q=file:androidx/navigation3/runtime/deeplink/DeepLinkUri.+class:androidx.navigation3.runtime.deeplink.DeepLinkUri) Added in [1.3.0-alpha04](https://developer.android.com/jetpack/androidx/releases/navigation3#1.3.0-alpha04) Common/AllAndroid/JVM
- Cmn

  ```
  abstract class DeepLinkUri
  ```
- android

  ```
  actual typealias DeepLinkUri = Uri
  ```

*** ** * ** ***

see [android.net.Uri](https://developer.android.com/reference/android/net/Uri)

## Summary

| ### Public constructors |
|---|---|
| `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#DeepLinkUri()()` | Cmn |

| ### Public functions |
|---|---|---|
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getAuthority()()` Gets the decoded authority part of this URI. | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getFragment()()` Gets the decoded fragment part of this URI, everything after the '#'. | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-list/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html>` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getPathSegments()()` Gets the decoded path segments. | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getQuery()()` Gets the decoded query component from this URI. | Cmn |
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-set/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html>` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getQueryParameterNames()()` Returns a set of the unique names of all query parameters. | Cmn |
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-list/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html>` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getQueryParameters(kotlin.String)(key: https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html)` Searches the query string for parameter values with the given key. | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html?` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#getScheme()()` Gets the scheme of this URI. | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-boolean/index.html` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#isHierarchical()()` Returns true if this URI is hierarchical like "http://google.com". | Cmn |
| `abstract https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/androidx/navigation3/runtime/deeplink/DeepLinkUri#toString()()` Returns the encoded string representation of this URI. | Cmn |

## Public constructors

### DeepLinkUri

Cmn

```
DeepLinkUri()
```

## Public functions

### getAuthority

Cmn

```
abstract fun getAuthority(): String?
```

Gets the decoded authority part of this URI. For server addresses, the authority is structured as follows: userinfo '@' host ':' port

Examples: "google.com", "bob@google.com:80"

### getFragment

Cmn

```
abstract fun getFragment(): String?
```

Gets the decoded fragment part of this URI, everything after the '#'.

### getPathSegments

Cmn

```
abstract fun getPathSegments(): List<String>
```

Gets the decoded path segments.

### getQuery

Cmn

```
abstract fun getQuery(): String?
```

Gets the decoded query component from this URI. The query comes after the query separator ('?') and before the fragment separator ('#'). This method would return "q=android" for "http://www.google.com/search?q=android".

### getQueryParameterNames

Cmn

```
fun getQueryParameterNames(): Set<String>
```

Returns a set of the unique names of all query parameters. Iterating over the set will return the names in order of their first occurrence.

| Returns |
|---|---|
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin.collections/-set/index.html<https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-string/index.html>` | a set of decoded names |

| Throws |
|---|---|
| `https://kotlinlang.org/api/core/kotlin-stdlib/kotlin/-unsupported-operation-exception/index.html` | -- if this isn't a hierarchical URI |

### getQueryParameters

Cmn

```
fun getQueryParameters(key: String): List<String>
```

Searches the query string for parameter values with the given key.

### getScheme

Cmn

```
abstract fun getScheme(): String?
```

Gets the scheme of this URI. Example: "http"

### isHierarchical

Cmn

```
abstract fun isHierarchical(): Boolean
```

Returns true if this URI is hierarchical like "http://google.com". Absolute URIs are hierarchical if the scheme-specific part starts with a '/'. Relative URIs are always hierarchical.

### toString

Cmn

```
abstract fun toString(): String
```

Returns the encoded string representation of this URI. Example: "http://google.com/"